%define srcname pytest-dependency

Name:           python-%{srcname}
Version:        0.6.0
Release:        %mkrel 3
Summary:        Pytest plugin to manage dependencies of tests
Group:          Development/Python
License:        Apache-2.0
URL:            https://github.com/RKrahl/pytest-dependency
Source:         %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel

%description
This module is a plugin for the popular Python testing framework pytest.
It manages dependencies of tests: you may mark some tests as dependent from
other tests. These tests will then be skipped if any of the dependencies did
fail or has been skipped.

%package -n     python3-%{srcname}
Summary:        Pytest plugin to manage dependencies of tests
Group:          Development/Python

%description -n python3-%{srcname}
This module is a plugin for the popular Python testing framework pytest.
It manages dependencies of tests: you may mark some tests as dependent from
other tests. These tests will then be skipped if any of the dependencies did
fail or has been skipped.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pytest_dependency

%check
%pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst CHANGES.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.6.0-3.mga10
+ Revision: 2238280
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 daviddavid <daviddavid> 0.6.0-2.mga10
+ Revision: 2154745
- rebuild for python 3.13

* Wed Nov 27 2024 daviddavid <daviddavid> 0.6.0-1.mga10
+ Revision: 2119486
- initial package python-pytest-dependency

